Subject: [bug#35813] [PATCH] Add crate-recursive-import.

From: Efraim Flashner <[email-masked]>
Date: Thu, 8 Aug 2019 13:39:56 +0300

On Tue, Aug 06, 2019 at 06:03:23PM +0200, Brian Leung wrote:
> Should have sent this to you too, Ivan.
> 
> On Tue, Aug 6, 2019 at 5:42 AM Brian Leung <[email-masked]> wrote:
> 
> > OK, I updated to remove print statements I missed.
> >
> > On Mon, Aug 5, 2019 at 7:50 PM Brian Leung <[email-masked]> wrote:
> >
> >> I took Karl's changes and updated them accordingly. I've also added a
> >> small test. The patch containing his importer, my changes, and my test is
> >> attached (the commit was made using my name--not sure if I should instead
> >> apply Karl's patch).
> >>
> >

I ran 'guix import crate -r afl' on a machine where I had a bunch of
crates pre-packaged the (very shorted output looked like this:

(define-public rust-xdg
...

(define-public rust-xdg
...

(define-public rust-afl
  (package
    (name "rust-afl")
    (version "0.4.4")
    (source
      (origin
        (method url-fetch)
        (uri (crate-uri "afl" version))
        (file-name
          (string-append name "-" version ".tar.gz"))
        (sha256
          (base32
            "14k6hnwzqn7rrs0hs87vcfqj4334k9wff38d15378frlxpviaard"))))
    (build-system cargo-build-system)
    (arguments
      `(#:cargo-inputs
        (("rust-cc" ,rust-cc)
         ("rust-clap" ,rust-clap)
         ("rust-rustc-version" ,rust-rustc-version)
         ("rust-xdg" ,rust-xdg))
        #:cargo-development-inputs
        (("rust-rustc-version" ,rust-rustc-version)
         ("rust-xdg" ,rust-xdg))))
    (home-page "https://github.com/rust-fuzz/afl.rs")
    (synopsis
      "Fuzzing Rust code with american-fuzzy-lop")
    (description
      "Fuzzing Rust code with american-fuzzy-lop")
    (license #f)))

I know rust-xdg is there twice, but IMO it should only be printed once.

also 'guix import crate -r rusty-fork' gives me #f
'guix import crate rusty-fork' gives me:
guix import: error: failed to download meta-data for package 'rusty-fork'

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted